> ## Documentation Index
> Fetch the complete documentation index at: https://docs.soyab.uk/llms.txt
> Use this file to discover all available pages before exploring further.

# Basecamp



## OpenAPI

````yaml cherrytree/openapi.json get /basecamp
openapi: 3.1.0
info:
  title: CherryTree API
  description: An API created by decompiling the CherryTree Android App
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://cherrytree.soyab.uk
security: []
paths:
  /basecamp:
    get:
      summary: Basecamp
      responses:
        '200':
          description: 200 Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Basecamp'
components:
  schemas:
    Basecamp:
      type: object
      properties:
        total:
          type: number
        results:
          type: array
          items:
            type: object
            properties:
              id:
                type: number
              baseTowerLevel:
                type: string
              baseTowerBenefit:
                type: string
              requiredSkills:
                type: array
                items:
                  type: object
                  properties:
                    name:
                      type: string
                    level:
                      type: number
                  required:
                    - name
                    - level
              baseTowerItems:
                type: array
                items:
                  type: object
                  properties:
                    itemId:
                      type: number
                    name:
                      type: string
                    amount:
                      type: number
                  required:
                    - itemId
                    - name
                    - amount
              baseTowerRewards:
                type: array
                items:
                  type: object
                  properties:
                    itemId:
                      type: number
                    type:
                      type: string
                    name:
                      type: string
                    amount:
                      type: number
                  required:
                    - type
                    - name
                    - amount
            required:
              - id
              - baseTowerLevel
              - baseTowerBenefit
              - requiredSkills
              - baseTowerItems
              - baseTowerRewards
      required:
        - total
        - results

````